Summary: A library of functions for manipulating TIFF format image files.
Name: libtiff
Version: 3.5.7
Release: 34.el3
License: distributable
Group: System Environment/Libraries

Source0: http://www.libtiff.org/tiff-v%{version}.tar.gz
Patch0: tiff-v3.5-shlib.patch
Patch1: libtiff-v3.4-arm.patch
Patch2: libtiff-v3.5.4-codecs.patch
Patch3: libtiff-v3.5.4-mandir.patch
Patch4: libtiff-v3.5.5-buildroot.patch
Patch5: libtiff-v3.5.7-64bit.patch
Patch6: libtiff-v3.5.7-seek.patch
Patch7: libtiff-v3.5.7-exit.patch
Patch8: libtiff-v3.5.7-largefile.patch
Patch9: libtiff-v3.5.7-makeflags.patch
Patch10: libtiff-3.5.7-alt-bound.patch
Patch11: libtiff-3.5.7-up-ChopUpSingleUncompressedStrip.patch
Patch12: libtiff-3.5.7-chris-bound.patch
Patch13: libtiff-3.5.7-alt-bound2.patch
Patch14: libtiff-3.5.5-nmemb.patch
Patch15: libtiff-3.5.7-dump.patch
Patch16: libtiff-3.5.7-mktemp.patch
Patch17: tiff-3.5.7-multiple.patch
Patch18: tiffsplit-overflow.patch
Patch19: libtiff-3.5.7-ormandy.patch
Patch20: libtiff-3.5.7-fractional-scanlines.patch
Patch21: libtiff-3.5.7-lzw-bugs.patch
Patch22: libtiff-3.5.7-lzw-corruption.patch
Patch23: libtiff-3.5.7-CVE-2009-2347.patch
Patch24: libtiff-datawidth.patch
Patch25: libtiff-CVE-2010-1411.patch
Patch26: libtiff-fax2ps.patch
Patch27: libtiff-tiffcp-no-subsample.patch
Patch28: libtiff-getimage-check.patch

URL: http://www.remotesensing.org/libtiff/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: zlib-devel zlib libjpeg-devel libjpeg
Requires: zlib libjpeg 
%define LIBVER %(echo %{version} | cut -f-2 -d.)
%define MAJLIBVER %(echo %{version} | cut -f-1 -d.)

%description
The libtiff package contains a library of functions for manipulating 
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large.

The libtiff package should be installed if you need to manipulate TIFF
format image files.

%package devel
Summary: Development tools for programs which will use the libtiff library.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files and static libraries for
developing programs which will manipulate TIFF format image files
using the libtiff library.

If you need to develop programs which will manipulate TIFF format
image files, you should install this package.  You'll also need to
install the libtiff package.

%prep
%setup -q -n tiff-v%{version}
%patch0 -p1 -b .shlib
%patch1 -p1 -b .arm
%patch2 -p1 -b .codecs
%patch3 -p1 -b .mandir
%patch4 -p1 -b .buildroot
%patch5 -p1 -b .64bit
%patch6 -p1 -b .seek
%patch7 -p1 -b .exit
%patch8 -p1 -b .largefile
%patch9 -p1 -b .makeflags
%patch10 -p1 -b .alt-bound
%patch11 -p1 -b .up-ChopUpSingleUncompressedStrip.patch
%patch12 -p1 -b .chris-bound
%patch13 -p1 -b .alt-bound2
%patch14 -p1 -b .nmemb
%patch15 -p1 -b .dump
%patch16 -p1 -b .mktemp
%patch17 -p1 -b .multiple
%patch18 -p1 -b .overflow
%patch19 -p1 -b .ormandy
%patch20 -p1 -b .fractional-scanlines
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1

find . -type d -name CVS | xargs -r rm -frv

%build

# Fixes problem with newer bash versions and doesn't hurt older ones.
CDPATH=""
unset CDPATH
export GCOPTS="-g"
./configure --target=%{_target_platform} << EOF
no
%{_bindir}
%{_libdir}
%{_includedir}
%{_mandir}
$RPM_DOC_DIR/%{name}-%{version}
bsd-source-cat
yes
EOF
cd libtiff
ln -s libtiff.so.%{LIBVER} libtiff.so
ln -s libtiff.so.%{LIBVER} libtiff.so.%{MAJLIBVER}
cd ..
export LDOPTS=-s
make LIBJPEG="-L%{_libdir} -ljpeg" LIBGZ="-L%{_libdir} -lz" # %{?_smp_mflags}

%install
[ "$RPM_BUILD_DIR" ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_includedir},%{_mandir}}
make install

# make install puts bogus permissions on libtiff.a
chmod 644 $RPM_BUILD_ROOT%{_libdir}/*.a

rm -f $RPM_BUILD_ROOT%{_libdir}/libtiff.so*
install -m755 libtiff/libtiff.so.%{LIBVER} $RPM_BUILD_ROOT%{_libdir}
ln -sf libtiff.so.%{LIBVER} $RPM_BUILD_ROOT%{_libdir}/libtiff.so
ln -sf libtiff.so.%{LIBVER} $RPM_BUILD_ROOT%{_libdir}/libtiff.so.%{MAJLIBVER}

/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_lib}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYRIGHT README VERSION
%{_bindir}/*
%{_libdir}/libtiff.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%doc TODO html
%{_includedir}/*
%{_libdir}/libtiff.so
%{_libdir}/libtiff.a
%{_mandir}/man3/*

%changelog
* Tue Jun 22 2010 Tom Lane <tgl@redhat.com> 3.5.7-34.el3
- Add fixes for multiple SIGSEGV problems, including CVE-2010-1411
Resolves: #602549, #460661
- Fix breakage on ppc64, per QE report
Resolves: #511392

* Fri Jul 10 2009 Tom Lane <tgl@redhat.com> 3.5.7-33.el3
- Fix buffer overrun risks caused by unchecked integer overflow (CVE-2009-2347)
Resolves: #507722
- Use explicit release in devel-to-base Requires, per rpmdiff recommendation
- De-fuzz a couple of old patches

* Wed Jul  1 2009 Tom Lane <tgl@redhat.com> 3.5.7-32.el3
- Fix some more LZW decoding vulnerabilities (CVE-2009-2285)
Resolves: #507722
- Update upstream URL

* Wed Aug 27 2008 Tom Lane <tgl@redhat.com> 3.5.7-31.el3
- Fix some additional LZW decoding vulnerabilities (back-port from tiff-3.6.1)
Resolves: #458810
- Force debug symbols to be generated by adding GCOPTS="-g"; the test
  used by this old configure script is too easily confused

* Fri Aug 22 2008 Tom Lane <tgl@redhat.com> 3.5.7-25.el3.5
- Fix LZW decoding vulnerabilities (CVE-2008-2327)
Resolves: #458810

* Mon Jul 24 2006 Matthias Clasen <mclasen@redhat.com>
- Fix several vulnerabilities (CVE-2006-3460 CVE-2006-3461
  CVE-2006-3462 CVE-2006-3463 CVE-2006-3464 CVE-2006-3465)

* Thu May 25 2006 Matthias Clasen <mclasen@redhat.com>
- Fix an overflow in tiffsplit (#193166)

* Wed Apr 26 2006 Matthias Clasen <mclasen@redhat.com> 
- Fix multiple vulnerabilities (#189933, CVE-2006-2024)

* Thu Feb 10 2005 Matthias Clasen <mclasen@redhat.com>
- Use mkstemp instead of mktemp

* Tue Jan 04 2005 Matthias Clasen <mclasen@redhat.com>
- fix another integer overflow  (#143577)

* Wed Dec 22 2004 Matthias Clasen <mclasen@redhat.com>
- fix some more integer overflows (#143505)

* Thu Oct 07 2004 Matthias Clasen <mclasen@redhat.com>
- fix some integer and buffer overflows (#134853, #134847)

* Thu Sep 25 2003 Jeremy Katz <katzj@redhat.com> 3.5.7-13
- rebuild to fix gzipped file md5sum (#91281)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 11 2003 Phil Knirsch <pknirsch@redhat.com> 3.5.7-11
- Fixed rebuild problems.

* Tue Feb 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add symlink to shared lib

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 3.5.7-8
- rebuild on all arches

* Mon Aug 19 2002 Phil Knirsch <pknirsch@redhat.com> 3.5.7-7
- Added LFS support (#71593)

* Tue Jun 25 2002 Phil Knirsch <pknirsch@redhat.com> 3.5.7-6
- Fixed wrong exit code of tiffcp app (#67240)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 15 2002 Phil Knirsch <pknirsch@redhat.com>
- Fixed segfault in fax2tiff tool (#64708).

* Mon Feb 25 2002 Phil Knirsch <pknirsch@redhat.com>
- Fixed problem with newer bash versions setting CDPATH (#59741)

* Tue Feb 19 2002 Phil Knirsch <pknirsch@redhat.com>
- Update to current release 3.5.7

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Aug 28 2001 Phil Knirsch <phil@redhat.de>
- Fixed ia64 problem with tiffinfo. Was general 64 bit arch problem where s390x
  and ia64 were missing (#52129).

* Tue Jun 26 2001 Philipp Knirsch <pknirsch@redhat.de>
- Hopefully final symlink fix

* Thu Jun 21 2001 Than Ngo <than@redhat.com>
- add missing libtiff symlink

* Fri Mar 16 2001 Crutcher Dunnavant <crutcher@redhat.com>
- killed tiff-to-ps.fpi filter

* Wed Feb 28 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed missing devel version dependancy.

* Tue Dec 19 2000 Philipp Knirsch <pknirsch@redhat.de>
- rebuild

* Tue Aug  7 2000 Crutcher Dunnavant <crutcher@redhat.com>
- added a tiff-to-ps.fpi filter for printing

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- apply Peter Skarpetis's fix for the 32-bit conversion

* Mon Jul  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- make man pages non-executable (#12811)

* Mon Jun 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove CVS repo info from data directories

* Thu May 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix build rooting
- fix syntax error in configure script
- move man pages to %{_mandir}

* Wed May 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for an errata release

* Wed Mar 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.5.5, which integrates our fax2ps fixes and the glibc fix

* Tue Mar 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix fax2ps swapping height and width in the bounding box

* Mon Mar 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- move man pages from devel package to the regular one
- integrate Frank Warmerdam's fixed .fax handling code (keep until next release
  of libtiff)
- fix fax2ps breakage (bug #8345)

* Sat Feb 05 2000 Nalin Dahyabhai <nalin@redhat.com>
- set MANDIR=man3 to make multifunction man pages friendlier

* Mon Jan 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix URLs

* Fri Jan 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- link shared library against libjpeg and libz

* Tue Jan 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- enable zip and jpeg codecs
- change defattr in normal package to 0755
- add defattr to -devel package

* Wed Dec 22 1999 Bill Nottingham <notting@redhat.com>
- update to 3.5.4

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Jan 13 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed Jun 10 1998 Michael Fulbright <msf@redhat.com>
- rebuilt against fixed jpeg libs (libjpeg-6b)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- new version to replace the one from libgr
- patched for glibc
- added shlib support
